Classify
Create Classify Job
classify.create(ClassifyCreateParams**kwargs) -> ClassifyCreateResponse
POST/api/v2/classify
List Classify Jobs
classify.list(ClassifyListParams**kwargs) -> SyncPaginatedCursor[ClassifyListResponse]
GET/api/v2/classify
Get Classify Job
classify.get(strjob_id, ClassifyGetParams**kwargs) -> ClassifyGetResponse
GET/api/v2/classify/{job_id}
ModelsExpand Collapse
class ClassifyCreateRequest: …
class ClassifyCreateRequest: …
Request to create a classify job.
configuration: Optional[ClassifyConfiguration]
configuration: Optional[ClassifyConfiguration]
transaction_id: Optional[str]
transaction_id: Optional[str]
Idempotency key scoped to the project. Reusing a key returns the original job; the new request body is ignored.
maxLength255
webhook_configurations: Optional[List[WebhookConfiguration]]
webhook_configurations: Optional[List[WebhookConfiguration]]
Outbound webhook endpoints to notify on job status changes
webhook_events: Optional[List[Literal["classify.cancelled", "classify.error", "classify.partial_success", 25 more]]]
webhook_events: Optional[List[Literal["classify.cancelled", "classify.error", "classify.partial_success", 25 more]]]
Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.
One of the following:
webhook_headers: Optional[Dict[str, str]]
webhook_headers: Optional[Dict[str, str]]
Custom HTTP headers sent with each webhook request (e.g. auth tokens)
webhook_output_format: Optional[str]
webhook_output_format: Optional[str]
Response format sent to the webhook: ‘string’ (default) or ‘json’
webhook_signing_secret: Optional[str]
webhook_signing_secret: Optional[str]
Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=
class ClassifyCreateResponse: …
class ClassifyCreateResponse: …
class ClassifyListResponse: …
class ClassifyListResponse: …
class ClassifyGetResponse: …
class ClassifyGetResponse: …